Index: branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp
===================================================================
--- branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 719)
+++ branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 785)
@@ -5877,12 +5665,12 @@
                         r_xram_rsp_next_ptr                = r_xram_rsp_victim_ptr.read();
 
-                        if(r_xram_rsp_victim_dirty.read() and (r_xram_rsp_victim_state.read() == ENTRY_SHARED))  
+                        if (r_xram_rsp_victim_dirty.read() and (r_xram_rsp_victim_state.read() == ENTRY_SHARED))  
                                                      r_xram_rsp_fsm = XRAM_RSP_WRITE_DIRTY;
-                        else if(not_last_multi_req)  r_xram_rsp_fsm = XRAM_RSP_HEAP_REQ;
+                        else if (not_last_multi_req)  r_xram_rsp_fsm = XRAM_RSP_HEAP_REQ;
                         else                         r_xram_rsp_fsm = XRAM_RSP_IDLE;
 
                         // std::cout << "cleanup sent for trt index =" << r_xram_rsp_trt_index.read() << std::endl;
 #if DEBUG_MEMC_XRAM_RSP
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " XRAM_RSP_INVAL>"
                                 << " Send an inval request to CC_SEND FSM"
@@ -5893,5 +5681,5 @@
                     {
 #if DEBUG_MEMC_XRAM_RSP
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " XRAM_RSP_INVAL>"
                                 << " multi req = " << r_xram_rsp_to_cc_send_multi_req.read()
@@ -5904,7 +5692,7 @@
             case XRAM_RSP_WRITE_DIRTY:  // send a write request to IXR_CMD FSM
                 {
-                    if ( not r_xram_rsp_to_ixr_cmd_req.read() )
-                    {
-                        if((r_xram_rsp_victim_state.read() == ENTRY_EXCLUSIVE) and (r_xram_rsp_victim_count.read() == 1))
+                    if (not r_xram_rsp_to_ixr_cmd_req.read() )
+                    {
+                        if ((r_xram_rsp_victim_state.read() == ENTRY_EXCLUSIVE) and (r_xram_rsp_victim_count.read() == 1))
                         {
                             std::cout << "can't send a trt req when the line state is exlusive" << std::endl;
@@ -5914,5 +5702,7 @@
                         r_xram_rsp_to_ixr_cmd_index = r_xram_rsp_trt_index.read();
 
+                        // <Activity counters>
                         m_cpt_write_dirty++;
+                        // </Activity counters>
 
                         bool multi_req = not r_xram_rsp_victim_is_cnt.read() and 
@@ -5920,9 +5710,9 @@
                         bool not_last_multi_req = multi_req and (r_xram_rsp_victim_count.read() != 1);
 
-                        if(not_last_multi_req)   r_xram_rsp_fsm = XRAM_RSP_HEAP_REQ;
+                        if (not_last_multi_req)   r_xram_rsp_fsm = XRAM_RSP_HEAP_REQ;
                         else                     r_xram_rsp_fsm = XRAM_RSP_IDLE;
 
 #if DEBUG_MEMC_XRAM_RSP
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " XRAM_RSP_WRITE_DIRTY>"
                                 << " Send the put request to IXR_CMD FSM"
@@ -5935,18 +5725,14 @@
             case XRAM_RSP_HEAP_REQ:    // Get the lock to the HEAP
                 {
-                    if(r_alloc_heap_fsm.read() == ALLOC_HEAP_XRAM_RSP)
+                    if (r_alloc_heap_fsm.read() == ALLOC_HEAP_XRAM_RSP)
                     {
                         r_xram_rsp_fsm = XRAM_RSP_HEAP_ERASE;
-                        m_cpt_xram_rsp_fsm_n_heap_lock++;
                     }
 
 #if DEBUG_MEMC_XRAM_RSP
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " XRAM_RSP_HEAP_REQ>"
                             << " Requesting HEAP lock" << std::endl;
 #endif
-
-                    m_cpt_xram_rsp_fsm_heap_lock++;
-
                     break;
                 }
@@ -5954,5 +5740,5 @@
             case XRAM_RSP_HEAP_ERASE: // erase the copies and send invalidations
                 {
-                    if(r_alloc_heap_fsm.read() == ALLOC_HEAP_XRAM_RSP)
+                    if (r_alloc_heap_fsm.read() == ALLOC_HEAP_XRAM_RSP)
                     {
                         HeapEntry entry = m_heap.read(r_xram_rsp_next_ptr.read());
@@ -5961,8 +5747,8 @@
                         xram_rsp_to_cc_send_fifo_inst  = entry.owner.inst;
                         xram_rsp_to_cc_send_fifo_put   = true;
-                        if(m_xram_rsp_to_cc_send_inst_fifo.wok())
+                        if (m_xram_rsp_to_cc_send_inst_fifo.wok())
                         {
                             r_xram_rsp_next_ptr = entry.next;
-                            if(entry.next == r_xram_rsp_next_ptr.read())   // last copy
+                            if (entry.next == r_xram_rsp_next_ptr.read())   // last copy
                             {
                                 r_xram_rsp_to_cc_send_multi_req = true;
@@ -5980,5 +5766,5 @@
 
 #if DEBUG_MEMC_XRAM_RSP
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name() << " XRAM_RSP_HEAP_ERASE>"
                                 << " Erase copy:"
@@ -5994,5 +5780,5 @@
             case XRAM_RSP_HEAP_LAST:  // last copy
                 {
-                    if(r_alloc_heap_fsm.read() != ALLOC_HEAP_XRAM_RSP)
+                    if (r_alloc_heap_fsm.read() != ALLOC_HEAP_XRAM_RSP)
                     {
                         std::cout << "VCI_MEM_CACHE ERROR " << name() << " XRAM_RSP_HEAP_LAST"
@@ -6005,5 +5791,5 @@
                     last_entry.owner.srcid    = 0;
                     last_entry.owner.inst     = false;
-                    if(m_heap.is_full())
+                    if (m_heap.is_full())
                     {
                         last_entry.next     = r_xram_rsp_next_ptr.read();
@@ -6021,5 +5807,5 @@
 
 #if DEBUG_MEMC_XRAM_RSP
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " XRAM_RSP_HEAP_LAST>"
                             << " Heap housekeeping" << std::endl;
@@ -6033,9 +5819,9 @@
 
                     // Next state
-                    if(r_xram_rsp_trt_buf.proc_read) r_xram_rsp_fsm = XRAM_RSP_ERROR_RSP;
+                    if (r_xram_rsp_trt_buf.proc_read) r_xram_rsp_fsm = XRAM_RSP_ERROR_RSP;
                     else                             r_xram_rsp_fsm = XRAM_RSP_IDLE;
 
 #if DEBUG_MEMC_XRAM_RSP
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " XRAM_RSP_ERROR_ERASE>"
                             << " Error reported by XRAM / erase the TRT entry" << std::endl;
@@ -6046,5 +5832,5 @@
             case XRAM_RSP_ERROR_RSP:     // Request an error response to TGT_RSP FSM
                 {
-                    if(!r_xram_rsp_to_tgt_rsp_req.read())
+                    if (!r_xram_rsp_to_tgt_rsp_req.read())
                     {
                         r_xram_rsp_to_tgt_rsp_srcid  = r_xram_rsp_trt_buf.srcid;
@@ -6063,5 +5849,5 @@
 
 #if DEBUG_MEMC_XRAM_RSP
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name()
                                 << " XRAM_RSP_ERROR_RSP> Request a response error to TGT_RSP FSM:"
@@ -6085,52 +5871,43 @@
             case CLEANUP_IDLE:     // Get first DSPIN flit of the CLEANUP command
                 {
-                    if(not m_cc_receive_to_cleanup_fifo.rok()) break;
+                    if (not m_cc_receive_to_cleanup_fifo.rok()) break;
 
                     uint64_t flit = m_cc_receive_to_cleanup_fifo.read();
 
                     uint32_t srcid =
-                        DspinDhccpParam::dspin_get(
+                        DspinHmesiParam::dspin_get(
                                 flit,
-                                DspinDhccpParam::CLEANUP_SRCID);
+                                DspinHmesiParam::CLEANUP_SRCID);
 
                     uint8_t type =
-                        DspinDhccpParam::dspin_get(
+                        DspinHmesiParam::dspin_get(
                                 flit,
-                                DspinDhccpParam::P2M_TYPE);
+                                DspinHmesiParam::P2M_TYPE);
 
                     r_cleanup_way_index =
-                        DspinDhccpParam::dspin_get(
+                        DspinHmesiParam::dspin_get(
                                 flit,
-                                DspinDhccpParam::CLEANUP_WAY_INDEX);
+                                DspinHmesiParam::CLEANUP_WAY_INDEX);
 
                     r_cleanup_nline =
-                        DspinDhccpParam::dspin_get(
+                        DspinHmesiParam::dspin_get(
                                 flit,
-                                DspinDhccpParam::CLEANUP_NLINE_MSB) << 32;
-
-                    r_cleanup_inst  = (type == DspinDhccpParam::TYPE_CLEANUP_INST);
+                                DspinHmesiParam::CLEANUP_NLINE_MSB) << 32;
+
+                    r_cleanup_inst  = (type == DspinHmesiParam::TYPE_CLEANUP_INST);
                     r_cleanup_srcid = srcid;
                     r_cleanup_ncc = 
-                        DspinDhccpParam::dspin_get(
+                        DspinHmesiParam::dspin_get(
                                 flit,
-                                DspinDhccpParam::DATA_NO_SHARED);
+                                DspinHmesiParam::DATA_NO_SHARED);
 
                     assert( (srcid < m_initiators) and
                             "MEMC ERROR in CLEANUP_IDLE state : illegal SRCID value");
 
-                    // <Activity Counters>
-                    if (is_local_req(srcid)) {
-                        m_cpt_cleanup_local++;
-                    }
-                    else {
-                        m_cpt_cleanup_remote++;
-                        m_cpt_cleanup_cost += req_distance(srcid);
-                    }
-                    // </Activity Counters>
                     cc_receive_to_cleanup_fifo_get = true;
                     r_cleanup_fsm                  = CLEANUP_GET_NLINE;
 
 #if DEBUG_MEMC_CLEANUP
-                    if(m_debug)
+                    if (m_debug)
                     {
                         std::cout
@@ -6138,8 +5915,8 @@
                             << " CLEANUP_IDLE> Cleanup request:" << std::hex
                             << " / owner_id = "   << srcid
-                            << " / owner_ins = "  << (type == DspinDhccpParam::TYPE_CLEANUP_INST)
-                            << " / ncc = " << DspinDhccpParam::dspin_get(
+                            << " / owner_ins = "  << (type == DspinHmesiParam::TYPE_CLEANUP_INST)
+                            << " / ncc = " << DspinHmesiParam::dspin_get(
                                     flit,
-                                    DspinDhccpParam::DATA_NO_SHARED)
+                                    DspinHmesiParam::DATA_NO_SHARED)
                             << std::endl;
                     }
@@ -6151,14 +5928,15 @@
             case CLEANUP_GET_NLINE:  // GET second DSPIN flit of the cleanup command
                 {
-                    if(not m_cc_receive_to_cleanup_fifo.rok()) break;
+                    if (not m_cc_receive_to_cleanup_fifo.rok()) break;
 
                     uint64_t flit = m_cc_receive_to_cleanup_fifo.read();
+                    uint32_t srcid = r_cleanup_srcid.read();
 
                     addr_t nline = r_cleanup_nline.read() |
-                        DspinDhccpParam::dspin_get(flit, DspinDhccpParam::CLEANUP_NLINE_LSB);
+                        DspinHmesiParam::dspin_get(flit, DspinHmesiParam::CLEANUP_NLINE_LSB);
 
                     //A MODIFIER POUR DIRTY //
                     bool eop =
-                        DspinDhccpParam::dspin_get(flit, DspinDhccpParam::P2M_EOP) == 0x1;
+                        DspinHmesiParam::dspin_get(flit, DspinHmesiParam::P2M_EOP) == 0x1;
                     if (! eop)
                     {
@@ -6166,21 +5944,38 @@
                         r_cleanup_data_index    = 0;
                         r_cleanup_contains_data = true;
-                        m_cpt_cleanup_with_data ++;
+                        // <Activity Counters>
+                        if (is_local_req(srcid)) {
+                            m_cpt_cleanup_local++;
+                            m_cpt_cleanup_data_local++;
+                        }
+                        else {
+                            m_cpt_cleanup_remote++;
+                            m_cpt_cleanup_data_remote++;
+                        }
+                        // 2 + m_words flits for cleanup with data
+                        m_cpt_cleanup_cost += (m_words + 2) * req_distance(srcid);
+                        m_cpt_cleanup_data_cost += (m_words + 2)  * req_distance(srcid);
+                        // </Activity Counters>
                     }
                     else
                     {
-                       /*// if( (r_write_to_cleanup_req.read() == true) and (r_write_to_cleanup_nline.read() == nline ))
-                        {
-                            std::cout << "receive write nline without data" << std::hex << nline << std::endl;
-
-                        }*/
                         r_cleanup_contains_data = false;
                         r_cleanup_fsm = CLEANUP_DIR_REQ;
+                        // <Activity Counters>
+                        if (is_local_req(srcid)) {
+                            m_cpt_cleanup_local++;
+                        }
+                        else {
+                            m_cpt_cleanup_remote++;
+                        }
+                        // 2 flits for cleanup without data
+                        m_cpt_cleanup_cost += 2 * req_distance(srcid);
+                        // </Activity Counters>
                     }
                     cc_receive_to_cleanup_fifo_get = true;
-                    r_cleanup_nline                = nline;
+                    r_cleanup_nline = nline;
                     
 #if DEBUG_MEMC_CLEANUP
-                    if(m_debug)
+                    if (m_debug)
                     {
                         std::cout
@@ -6203,13 +5998,13 @@
 
                         uint32_t data = 
-                            DspinDhccpParam::dspin_get (flit, DspinDhccpParam::CLEANUP_DATA_UPDT);
-
-                        if( (r_write_to_cleanup_req.read() == true) and (r_write_to_cleanup_nline.read() == r_cleanup_nline.read()) )
+                            DspinHmesiParam::dspin_get (flit, DspinHmesiParam::CLEANUP_DATA_UPDT);
+
+                        if ((r_write_to_cleanup_req.read() == true) and (r_write_to_cleanup_nline.read() == r_cleanup_nline.read()) )
                         {
                             data_t mask = 0;
-                            if(r_write_to_cleanup_be[r_cleanup_data_index.read()].read() & 0x1) mask = mask | 0x000000FF;
-                            if(r_write_to_cleanup_be[r_cleanup_data_index.read()].read() & 0x2) mask = mask | 0x0000FF00;
-                            if(r_write_to_cleanup_be[r_cleanup_data_index.read()].read() & 0x4) mask = mask | 0x00FF0000;
-                            if(r_write_to_cleanup_be[r_cleanup_data_index.read()].read() & 0x8) mask = mask | 0xFF000000;
+                            if (r_write_to_cleanup_be[r_cleanup_data_index.read()].read() & 0x1) mask = mask | 0x000000FF;
+                            if (r_write_to_cleanup_be[r_cleanup_data_index.read()].read() & 0x2) mask = mask | 0x0000FF00;
+                            if (r_write_to_cleanup_be[r_cleanup_data_index.read()].read() & 0x4) mask = mask | 0x00FF0000;
+                            if (r_write_to_cleanup_be[r_cleanup_data_index.read()].read() & 0x8) mask = mask | 0xFF000000;
         
                             // complete only if mask is not null (for energy consumption)
@@ -6231,5 +6026,5 @@
                         }
 #if DEBUG_MEMC_CLEANUP
-                        if(m_debug)
+                        if (m_debug)
                         {
                             std::cout
@@ -6247,6 +6042,5 @@
             case CLEANUP_DIR_REQ:   // Get the lock to the directory
                 {
-                    m_cpt_cleanup_fsm_dir_lock++;
-                    if(r_alloc_dir_fsm.read() != ALLOC_DIR_CLEANUP) break;
+                    if (r_alloc_dir_fsm.read() != ALLOC_DIR_CLEANUP) break;
 
                     r_cleanup_fsm = CLEANUP_DIR_LOCK;
@@ -6254,10 +6048,7 @@
 
 #if DEBUG_MEMC_CLEANUP
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " CLEANUP_DIR_REQ> Requesting DIR lock" << std::endl;
 #endif
-
-                    m_cpt_cleanup_fsm_n_dir_lock++;
-
                     break;
                 }
@@ -6267,5 +6058,5 @@
                 {
                     // test directory status
-                    if(r_alloc_dir_fsm.read() != ALLOC_DIR_CLEANUP)
+                    if (r_alloc_dir_fsm.read() != ALLOC_DIR_CLEANUP)
                     {
                         std::cout
@@ -6292,5 +6083,5 @@
                     r_cleanup_state        = entry.state;
 
-                    if(entry.state == ENTRY_LOCKED)      
+                    if (entry.state == ENTRY_LOCKED)      
                     {
                         assert(
@@ -6302,5 +6093,5 @@
                         r_cleanup_fsm = CLEANUP_LOCKED_IVT_LOCK;
                     }
-                    else if(entry.state == ENTRY_INVALID)
+                    else if (entry.state == ENTRY_INVALID)
                     {
                         r_cleanup_fsm = CLEANUP_MISS_IVT_LOCK;
@@ -6313,9 +6104,9 @@
                                 "In CLEANUP_DIR_LOCK, CLEANUP command on a valid entry "
                                 "with no copies");
-                        if((entry.state == ENTRY_SHARED) and (entry.is_cnt == true))
+                        if ((entry.state == ENTRY_SHARED) and (entry.is_cnt == true))
                         {
                             r_cleanup_fsm = CLEANUP_DIR_WRITE;
                         }
-                        else if((entry.state == ENTRY_EXCLUSIVE) or (entry.count == 1))
+                        else if ((entry.state == ENTRY_EXCLUSIVE) or (entry.count == 1))
                         {
                             r_cleanup_fsm = CLEANUP_DIR_WRITE;
@@ -6328,5 +6119,5 @@
 
 #if DEBUG_MEMC_CLEANUP
-                    if(m_debug)
+                    if (m_debug)
                     {
                         std::cout
@@ -6353,5 +6144,5 @@
                 {
                     // Update the directory entry without heap access
-                    if(r_alloc_dir_fsm.read() != ALLOC_DIR_CLEANUP)
+                    if (r_alloc_dir_fsm.read() != ALLOC_DIR_CLEANUP)
                     {
                         std::cout
@@ -6370,5 +6161,5 @@
                     bool   match       = match_srcid and match_inst;
 
-                    if( (r_cleanup_state.read() == ENTRY_EXCLUSIVE) and not match )
+                    if ((r_cleanup_state.read() == ENTRY_EXCLUSIVE) and not match )
                     {
                         std::cout
@@ -6392,5 +6183,5 @@
                     entry.state          = r_cleanup_state.read();
 
-                    if( entry.count == 0) 
+                    if (entry.count == 0) 
                     {
                         entry.is_cnt = 0;
@@ -6416,5 +6207,5 @@
 
 #if DEBUG_MEMC_CLEANUP
-                    if(m_debug)
+                    if (m_debug)
                     {
                         std::cout
@@ -6438,7 +6229,5 @@
                 {
                     //Search for a matching inval in the ivt (there must be one) and check if there is a pending read or cas.
-
-                    m_cpt_cleanup_fsm_ivt_lock++;
-                    if(r_alloc_ivt_fsm.read() == ALLOC_IVT_CLEANUP)
+                    if (r_alloc_ivt_fsm.read() == ALLOC_IVT_CLEANUP)
                     {
                         size_t index = 0;
@@ -6468,5 +6257,5 @@
                         r_cleanup_locked_is_read    = m_ivt.is_read(index);
 
-                        if( m_ivt.is_update(index) and not m_ivt.is_changed(index))
+                        if (m_ivt.is_update(index) and not m_ivt.is_changed(index))
                         {
                             r_cleanup_fsm = CLEANUP_LOCKED_IVT_CLEAR;
@@ -6493,5 +6282,5 @@
                     m_ivt.decrement(r_cleanup_locked_index.read(), count);
 
-                    if(count == 0)
+                    if (count == 0)
                     {
                         r_cleanup_fsm = CLEANUP_LOCKED_IVT_CLEAR;
@@ -6504,5 +6293,5 @@
 
 #if DEBUG_MEMC_CLEANUP
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " CLEANUP_LOCKED_IVT_DECREMENT>"
                             << " Decrement response counter in IVT:"
@@ -6534,7 +6323,7 @@
                     entry.ptr           = r_cleanup_ptr.read();
                    
-                    if( not r_cleanup_contains_data.read() ) 
-                    {
-                        if(r_write_to_cleanup_req.read() and r_write_to_cleanup_nline.read() == r_cleanup_nline.read()) 
+                    if (not r_cleanup_contains_data.read() ) 
+                    {
+                        if (r_write_to_cleanup_req.read() and r_write_to_cleanup_nline.read() == r_cleanup_nline.read()) 
                         //update the line with the data saved in write_to_cleanup_data table if the cleanup without data
                         {
@@ -6556,5 +6345,5 @@
                         }
 
-                        if((r_cleanup_locked_pktid.read() & 0x7) != TYPE_SC) 
+                        if ((r_cleanup_locked_pktid.read() & 0x7) != TYPE_SC) 
                         {
                            // addr_t min = r_cleanup_nline.read()*m_words*4 ;
@@ -6564,5 +6353,5 @@
                     }
 
-                    if(r_cleanup_locked_is_updt.read() and not r_cleanup_locked_is_changed.read()) //cleanup req cross with multi ack rsp. here, just decrements the count and remains the state.
+                    if (r_cleanup_locked_is_updt.read() and not r_cleanup_locked_is_changed.read()) //cleanup req cross with multi ack rsp. here, just decrements the count and remains the state.
                     {
                         assert(r_cleanup_count.read() == 1 && " only one copy when cleanup fsm receives a req for is_updt command");
@@ -6573,8 +6362,8 @@
                         r_cleanup_fsm       = CLEANUP_SEND_CLACK;
                     }
-                    else if(r_cleanup_locked_is_updt.read() and r_cleanup_locked_is_changed.read())
+                    else if (r_cleanup_locked_is_updt.read() and r_cleanup_locked_is_changed.read())
                     {
                         entry.state = ENTRY_SHARED;
-                        if(match_ll)
+                        if (match_ll)
                         {
                             entry.count       = 0;
@@ -6587,5 +6376,5 @@
                         }
 
-                        if((r_cleanup_locked_pktid.read() & 0x7) == TYPE_READ_INS_MISS) 
+                        if ((r_cleanup_locked_pktid.read() & 0x7) == TYPE_READ_INS_MISS) 
                         {
                             entry.owner.inst = true;
@@ -6601,5 +6390,5 @@
                     else // cas, getm, one copy updated in dir
                     {
-                        if(r_cleanup_locked_is_read.read())
+                        if (r_cleanup_locked_is_read.read())
                         {
                             entry.state         = ENTRY_EXCLUSIVE;
@@ -6638,5 +6427,5 @@
             case CLEANUP_LOCKED_RSP:
                 {
-                    if(r_cleanup_to_tgt_rsp_req.read()) break;
+                    if (r_cleanup_to_tgt_rsp_req.read()) break;
 
                     r_cleanup_to_tgt_rsp_req     = true;
@@ -6645,5 +6434,5 @@
                     r_cleanup_to_tgt_rsp_nline   = r_cleanup_nline.read();
                     
-                    if(r_cleanup_locked_is_changed.read() and r_cleanup_locked_is_updt.read())
+                    if (r_cleanup_locked_is_changed.read() and r_cleanup_locked_is_updt.read())
                     {
                         r_cleanup_to_tgt_rsp_pktid   = r_cleanup_locked_pktid.read(); // rsp for is_updt in shared state
@@ -6655,5 +6444,5 @@
                     }
 
-                    if(r_read_to_multi_ack_req.read() and (r_read_to_multi_ack_nline.read() == r_cleanup_nline.read()) and // rsp for LL or pheriph
+                    if (r_read_to_multi_ack_req.read() and (r_read_to_multi_ack_nline.read() == r_cleanup_nline.read()) and // rsp for LL or pheriph
                       (r_cleanup_locked_is_changed.read() and r_cleanup_locked_is_updt.read()))
                     {
@@ -6663,5 +6452,5 @@
                         r_read_to_multi_ack_req           = false;
                     } 
-                    else if(r_read_to_cleanup_req.read() and (r_read_to_cleanup_nline.read() == r_cleanup_nline.read())) // rsp for LL or pheriph
+                    else if (r_read_to_cleanup_req.read() and (r_read_to_cleanup_nline.read() == r_cleanup_nline.read())) // rsp for LL or pheriph
                     {
                         r_cleanup_to_tgt_rsp_ll_key     = r_read_to_cleanup_ll_key.read(); 
@@ -6677,5 +6466,5 @@
                     }
 
-                    if(r_write_to_cleanup_req.read() and r_write_to_cleanup_nline.read() == r_cleanup_nline.read())
+                    if (r_write_to_cleanup_req.read() and r_write_to_cleanup_nline.read() == r_cleanup_nline.read())
                         r_write_to_cleanup_req = false;
 
@@ -6708,11 +6497,10 @@
                 {
                     // get the lock to the HEAP directory
-                    m_cpt_cleanup_fsm_heap_lock ++;
-                    if(r_alloc_heap_fsm.read() != ALLOC_HEAP_CLEANUP) break;
+                    if (r_alloc_heap_fsm.read() != ALLOC_HEAP_CLEANUP) break;
 
                     r_cleanup_fsm = CLEANUP_HEAP_LOCK;
 
 #if DEBUG_MEMC_CLEANUP
-                    if(m_debug)
+                    if (m_debug)
                     {
                         std::cout
@@ -6722,5 +6510,4 @@
                     }
 #endif
-                    m_cpt_cleanup_fsm_n_heap_lock++;
                     break;
                 }
@@ -6773,5 +6560,5 @@
                     // it must be replaced by the first copy registered in
                     // the heap. The corresponding entry must be freed
-                    if(match_dir)
+                    if (match_dir)
                     {
                         dir_entry.ptr            = heap_entry.next;
@@ -6785,5 +6572,5 @@
                     // It must be freed and the copy registered in directory
                     // must point to the next copy in heap
-                    else if(match_heap)
+                    else if (match_heap)
                     {
                         dir_entry.ptr            = heap_entry.next;
@@ -6808,5 +6595,5 @@
 
 #if DEBUG_MEMC_CLEANUP
-                    if(m_debug)
+                    if (m_debug)
                     {
                         std::cout
@@ -6845,5 +6632,5 @@
 
                     // the matching copy must be removed
-                    if(match_heap)
+                    if (match_heap)
                     {
                         // re-use ressources
@@ -6862,7 +6649,7 @@
 
 #if DEBUG_MEMC_CLEANUP
-                    if(m_debug)
-                    {
-                        if(not match_heap)
+                    if (m_debug)
+                    {
+                        if (not match_heap)
                         {
                             std::cout
@@ -6903,5 +6690,5 @@
 
                     // this is the last entry of the list of copies
-                    if(last)
+                    if (last)
                     {
                         heap_entry.next = r_cleanup_prev_ptr.read();
@@ -6918,5 +6705,5 @@
 
 #if DEBUG_MEMC_CLEANUP
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " CLEANUP_HEAP_SEARCH>"
                             << " Remove the copy in the linked list" << std::endl;
@@ -6934,5 +6721,5 @@
                     heap_entry.owner.inst     = false;
 
-                    if(m_heap.is_full())
+                    if (m_heap.is_full())
                     {
                         heap_entry.next = r_cleanup_next_ptr.read();
@@ -6950,5 +6737,5 @@
 
 #if DEBUG_MEMC_CLEANUP
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " CLEANUP_HEAP_FREE>"
                             << " Update the list of free entries" << std::endl;
@@ -6960,19 +6747,16 @@
                 // invalidate transaction matching the cleanup 
                 {
-                    m_cpt_cleanup_fsm_ivt_lock++;
-                    if(r_alloc_ivt_fsm.read() != ALLOC_IVT_CLEANUP) break;
+                    if (r_alloc_ivt_fsm.read() != ALLOC_IVT_CLEANUP) break;
 
                     size_t index = 0;
                     bool   match_inval;
 
-                    m_cpt_cleanup_fsm_n_ivt_lock++;
-
                     match_inval = m_ivt.search_inval(r_cleanup_nline.read(), index);
-                    if ( not match_inval )     // no pending inval
+                    if (not match_inval )     // no pending inval
                     {
                         r_cleanup_fsm = CLEANUP_SEND_CLACK;
 
 #if DEBUG_MEMC_CLEANUP
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name()
                                 << " CLEANUP_MISS_IVT_LOCK> Unexpected cleanup"
@@ -6982,5 +6766,4 @@
                                 << std::endl;
 #endif
-                        m_cpt_cleanup_fsm_n_ivt_lock++;
                     }
                     else
@@ -6995,5 +6778,5 @@
                         r_cleanup_fsm               = CLEANUP_MISS_IVT_DECREMENT;
 #if DEBUG_MEMC_CLEANUP
-                        if(m_debug)
+                        if (m_debug)
                             std::cout << "  <MEMC " << name()
                                 << " CLEANUP_MISS_IVT_LOCK> Cleanup matching pending"
@@ -7015,5 +6798,5 @@
                     m_ivt.decrement(r_cleanup_miss_index.read(), count);
 
-                    if(count == 0)   // multi inval transaction completed
+                    if (count == 0)   // multi inval transaction completed
                     {
                         r_cleanup_fsm = CLEANUP_MISS_IVT_CLEAR;
@@ -7025,5 +6808,5 @@
 
 #if DEBUG_MEMC_CLEANUP
-                    if(m_debug)
+                    if (m_debug)
                         std::cout << "  <MEMC " << name() << " CLEANUP_MISS_IVT_DECREMENT>"
                             << " Decrement response counter in IVT:"
@@ -7041,5 +6824,5 @@
                     m_ivt.clear(r_cleanup_miss_index.read());
 
-                    if ( r_cleanup_miss_need_ack.read() )
+                    if (r_cleanup_miss_need_ack.read() )
                     {
                         assert( (r_config_rsp_lines.read() > 0) and
